ComException (JACOB : Java COM Bridge API Docs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jacob.com
Class ComException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.jacob.com.JacobException
                      com.jacob.com.ComException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ComFailException

    public abstract class ComException

extends JacobException

Standard exception thrown by com jni code when there is a problem

See Also:
  Serialized Form

Field Summary
`protected int` | `hr` COM code initializes this filed with an appropriate return code that was returned by the underlying com code
`protected int` | `m_helpContext` No documentation is available at this time.
`protected java.lang.String` | `m_helpFile` No documentation is available at this time.
`protected java.lang.String` | `m_source` No documentation is available at this time.

Constructor Summary
`ComException()` constructor
`ComException(int newHr)` constructor with error code?
`ComException(int newHr, java.lang.String description)`
`ComException(int newHr, java.lang.String source, java.lang.String helpFile, int helpContext)`
`ComException(int newHr, java.lang.String description, java.lang.String source, java.lang.String helpFile, int helpContext)`
`ComException(java.lang.String description)`

Method Summary
`int` | `getHelpContext()`
`java.lang.String` | `getHelpFile()`
`int` | `getHResult()`
`java.lang.String` | `getSource()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### hr

    protected int hr

  COM code initializes this filed with an appropriate return code that was returned by the underlying com code

### m_helpContext

    protected int m_helpContext

  No documentation is available at this time. Someone should document this field

### m_helpFile

    protected java.lang.String m_helpFile

  No documentation is available at this time. Someone should document this field

### m_source

    protected java.lang.String m_source

  No documentation is available at this time. Someone should document this field

Constructor Detail

### ComException

    public ComException()

  constructor

### ComException

    public ComException(int newHr)

  constructor with error code?

  Parameters:
    `newHr` - ??

### ComException

    public ComException(int newHr,
                        java.lang.String description)

Parameters:
  `newHr` -
  `description` -

### ComException

    public ComException(int newHr,
                        java.lang.String source,
                        java.lang.String helpFile,
                        int helpContext)

Parameters:
  `newHr` -
  `source` -
  `helpFile` -
  `helpContext` -

### ComException

    public ComException(int newHr,
                        java.lang.String description,
                        java.lang.String source,
                        java.lang.String helpFile,
                        int helpContext)

Parameters:
  `newHr` -
  `description` -
  `source` -
  `helpFile` -
  `helpContext` -

### ComException

    public ComException(java.lang.String description)

Parameters:
  `description` -

Method Detail

### getHelpContext

    public int getHelpContext()

  Returns:
    int representation of the help context

### getHelpFile

    public java.lang.String getHelpFile()

  Returns:
    String ??? help file

### getHResult

    public int getHResult()

  Returns:
    int hr result ??

### getSource

    public java.lang.String getSource()

  Returns:
    String source ??

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://jacob-project.sourceforge.net